View Issue Details

IDProjectCategoryView StatusLast Update
0000048FFDLBugpublic2019-03-13 11:54
ReporterYet-One-More-IdiotAssigned ToRaimond 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
PlatformMicrosoftOSWindowsOS Version7
Product Version0.9.1 
Target VersionFixed in Version0.9.2 
Summary0000048: Partial download only for some old stories on ff.net
DescriptionI was attempting to download this fanfic:

https://www.fanfiction.net/s/246150/1/

Fanfictiondownloader correctly identified the fanfic and recognised that it had 21 chapters. It downloaded all 21 chapters, and then began the conversion into PDF format. On completion however, the PDF file contained only chapters 1-6.
Steps To ReproduceRetried the downloaded multiple times, each time with the exact same results. Attempted to download into HTML format instead of PDF, and the program downloaded all 21 chapters - but large chunks of the text came out in unformatted blocks, while other sections were missing with only a few occasional words spread out across an otherwise blank page.
I then uninstalled the software and re-installed it, and attempted multiple times to download again in both PDF and HTML formats, again with the same results - PDF version only contained first 6 chapters, HTML version contained all chapters but with some chunks missing or unformatted.
Uninstalled the software again, deleted the files left behind after the uninstall, and re-installed. Again tried to download in both PDF and HTML formats, again with same results.

All other fanfics downloaded from Fanfiction.net so far have downloaded perfectly, however. Please examine this particular fanfic to see if there is something unique about its formatting that is affecting the conversion process.
TagsNo tags attached.

Activities

Raimond

2019-03-12 21:25

administrator   ~0000043

That's realy a very unusual case.
Here's the in-deep explanation:
The affectedt story is a very old one (2001), back then ff.net worked slightly different. Today, their upload mechanism removes every formating, tags and even astrix if it doesn't likes them.
Back then, the whole style was uploaded, including html tags and other stuff. The solution for solving problems with styling was to rename some tags, e.g. <font became <pont, <meta --><peta and so on.
Some other tags remained unchanged (html, body, head) even if they should have messed up the styling on their page.

FFDL downloaded the chapters correctly, but the conversion collapsed with these "new" tags or stopped completely when it met the closing html tag.

To sum it up: I've added some replace calls to either revert these changes (in case of font-styling) or to remove the tags completely.
It's fixed now and will be working with the next release

Issue History

Date Modified Username Field Change
2019-01-23 01:22 Yet-One-More-Idiot New Issue
2019-01-23 01:22 Yet-One-More-Idiot Status new => assigned
2019-01-23 01:22 Yet-One-More-Idiot Assigned To => Raimond
2019-03-12 21:25 Raimond Status assigned => resolved
2019-03-12 21:25 Raimond Resolution open => fixed
2019-03-12 21:25 Raimond Fixed in Version => 0.9.2
2019-03-12 21:25 Raimond Note Added: 0000043
2019-03-13 11:54 Raimond Summary Partial download only => Partial download only for some old stories on ff.net